const connectOnDemandAndCall = async (pool, method, ...args) => {
  if (pool.disposed) {
    throw new Error('Adapter has been already disposed');
  }

  pool.isInitialized = true;
  pool.connectPromiseResolve();
  await pool.connectPromise;
  return await method(pool, ...args);
};

const wrapMethod = (pool, method) => typeof method !== 'undefined' ? connectOnDemandAndCall.bind(null, pool, method) : undefined;

export default wrapMethod;
//# sourceMappingURL=wrap-method.js.map