"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const wrapDispose = (pool, dispose) => async () => {
  if (pool.disposed) {
    throw new Error('Adapter has been already disposed');
  }

  pool.disposed = true;

  if (!pool.isInitialized) {
    return;
  }

  await pool.connectPromise;
  await dispose(pool);
};

var _default = wrapDispose;
exports.default = _default;
//# sourceMappingURL=wrap-dispose.js.map