"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _types = require("./types");

const wrapEventFilter = loadEvents => async (pool, filter) => {
  pool.validateEventFilter(filter);

  if ((0, _types.isCursorFilter)(filter) && filter.cursor != null) {
    try {
      if (filter.cursor !== pool.getNextCursor(filter.cursor, [])) {
        // eslint-disable-next-line no-throw-literal
        throw null;
      }
    } catch (e) {
      throw new Error(`Event filter field "cursor" is malformed: ${JSON.stringify(filter.cursor)}` + (e == null ? '' : ` ${e}`));
    }
  }

  return await loadEvents(pool, filter);
};

var _default = wrapEventFilter;
exports.default = _default;
//# sourceMappingURL=wrap-event-filter.js.map