import { MAINTENANCE_MODE_AUTO, MAINTENANCE_MODE_MANUAL } from './constants';
import ConcurrentError from './concurrent-error';
import { ResourceAlreadyExistError, ResourceNotExistError } from './resource-errors';
import { EventstoreFrozenError, AlreadyFrozenError, AlreadyUnfrozenError } from './frozen-errors';
import getNextCursor from './get-next-cursor';
import throwBadCursor from './throw-bad-cursor';
import snapshotTrigger from './snapshot-trigger';
import * as iots from 'io-ts';
import * as iotsTypes from 'io-ts-types';
import { validate, UnbrandProps, CursorFilter, TimestampFilter, isTimestampFilter, isCursorFilter, EventsWithCursor, EventFilter, Adapter, AdapterFunctions, AdapterPoolConnectedProps, AdapterPoolPossiblyUnconnected, AdapterPoolConnected, AdapterConfig, AdapterConfigSchema, ImportOptions, ExportOptions, SecretFilter, SecretsWithIdx, SecretRecord, InputEvent, SavedEvent } from './types';
declare const wrappedCreateAdapter: <ConnectedProps extends AdapterPoolConnectedProps, ConnectionDependencies extends unknown, Config extends UnbrandProps<{
    snapshotBucketSize?: iots.Branded<number, iots.IntBrand> | undefined;
}>>(adapterFunctions: AdapterFunctions<ConnectedProps, ConnectionDependencies, Config>, connectionDependencies: ConnectionDependencies, options: Config) => Adapter;
export default wrappedCreateAdapter;
export { validate, UnbrandProps, ResourceAlreadyExistError as EventstoreResourceAlreadyExistError, ResourceNotExistError as EventstoreResourceNotExistError, ConcurrentError, EventstoreFrozenError, AlreadyFrozenError as EventstoreAlreadyFrozenError, AlreadyUnfrozenError as EventstoreAlreadyUnfrozenError, MAINTENANCE_MODE_AUTO, MAINTENANCE_MODE_MANUAL, throwBadCursor, getNextCursor, snapshotTrigger, CursorFilter, TimestampFilter, isTimestampFilter, isCursorFilter, EventsWithCursor, EventFilter, Adapter, AdapterPoolConnectedProps, AdapterPoolConnected, AdapterPoolPossiblyUnconnected, AdapterConfig, AdapterConfigSchema, ImportOptions, ExportOptions, SecretFilter, SecretsWithIdx, SecretRecord, InputEvent, SavedEvent, iots, iotsTypes, };
